<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__enums" kind="group">
    <compoundname>group_tcpwm_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__tcpwm__enums_1ga17d594ed5788e1fc2de2eae9982fc9dc" kind="enum" prot="public" static="no">
        <name>cy_en_tcpwm_trigselect_t</name>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dcae75c3855ed4b926fd65e57c9fcaeba68" prot="public">
          <name>CY_TCPWM_INPUT_TR_START</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Start. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dca5a4e13feb26547488d0a274d34a4b5d7" prot="public">
          <name>CY_TCPWM_INPUT_TR_RELOAD_OR_INDEX</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Reload/Index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dca5100ba43a518d8f0f6977e8421d672cd" prot="public">
          <name>CY_TCPWM_INPUT_TR_STOP_OR_KILL</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Stop/Kill. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dca68ef36ad8f1f97c074d8171f7a527f0f" prot="public">
          <name>CY_TCPWM_INPUT_TR_COUNT</name>
          <initializer>= 0x03U</initializer>
          <briefdescription>
<para>Count. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dca96c7db882ecc10e489278a8263b71338" prot="public">
          <name>CY_TCPWM_INPUT_TR_INDEX_OR_SWAP</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Index/Swap. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dcade433f03721499f683cad3ef9cce2484" prot="public">
          <name>CY_TCPWM_INPUT_TR_CAPTURE0</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Capture 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga17d594ed5788e1fc2de2eae9982fc9dca65e1829f540f9b0846bc0ad357d48d2e" prot="public">
          <name>CY_TCPWM_INPUT_TR_CAPTURE1</name>
          <initializer>= 0x05U</initializer>
          <briefdescription>
<para>Capture 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_tcpwm_trigselect_t: </bold><linebreak />TCPWM Input Triggers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="449" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="440" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="441" />
      </memberdef>
      <memberdef id="group__group__tcpwm__enums_1ga236beaba02c8a2a1c4eec981501e7270" kind="enum" prot="public" static="no">
        <name>cy_en_tcpwm_status_t</name>
        <enumvalue id="group__group__tcpwm__enums_1gga236beaba02c8a2a1c4eec981501e7270af9807d578257fa9f0d29cd86ef2c71ea" prot="public">
          <name>CY_TCPWM_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga236beaba02c8a2a1c4eec981501e7270ae445f943c46a8d517be923816b8459c9" prot="public">
          <name>CY_TCPWM_BAD_PARAM</name>
          <initializer>= CY_TCPWM_ID | CY_PDL_STATUS_ERROR | 0x01U</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__tcpwm__enums_1gga236beaba02c8a2a1c4eec981501e7270a51f56f747deff67f94f3036a5074f626" prot="public">
          <name>CY_TCPWM_UNSUPPORTED_FEATURE</name>
          <initializer>= CY_TCPWM_ID | CY_PDL_STATUS_ERROR | 0x02U</initializer>
          <briefdescription>
<para>Feature Unsupported. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_tcpwm_status_t: </bold><linebreak />TCPWM status definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="457" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="452" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="453" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>